#!/bin/sh

#
# Script uninstalling privileged helper tool while it is running
#

exec >> /var/tmp/com.fastviewer/RemotedUninstallHelper.txt
exec 2>&1

set -x

PLIST_FILE=/Library/LaunchDaemons/com.fastviewer.remote.RInstallerAgent.plist

# sleep a second to allow RInstallerAgent to terminate before unload (if not, agent should be terminated by unload)
sleep 1

/bin/launchctl unload "$PLIST_FILE"

sleep 1

# add ps output to log file to verify whether or not RInstallerAgent is still running
ps -ef | grep RInstallerAgent

# remove all files of RInstallerAgent

rm "$PLIST_FILE"
rm /var/run/com.fastviewer.remote.RInstallerAgent.socket
rm /Library/PrivilegedHelperTools/com.fastviewer.remote.RInstallerAgent

ls -l /Library/PrivilegedHelperTools/com.fastviewer.remote.RInstallerAgent
